> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create temperature_range



## OpenAPI

````yaml post /temperature_range
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /temperature_range:
    post:
      tags:
        - Temperature Ranges
      summary: Create temperature_range
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Temperature_rangeInput'
      responses:
        '201':
          description: Successfully created temperature_range
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Temperature_range'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    Temperature_rangeInput:
      type: object
      description: Temperature_range input data for creation/update
      properties:
        min_temp:
          type: number
          description: Minimum temperature in the range (ºC)
        max_temp:
          type: number
          description: Maximum temperature in the range (ºC)
      required:
        - min_temp
        - max_temp
    Temperature_range:
      type: object
      description: Temperature_range entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        min_temp:
          type: number
          description: Min Temp
        max_temp:
          type: number
          description: Max Temp
        account_id:
          type: string
          format: uuid
          description: Account ID
        soft_deleted:
          type: string
          format: date-time
          description: Soft deletion timestamp
        soft_deleted_by:
          type: string
          description: User who soft deleted the record
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````